#ifndef XGFXCERTEXSHADERLOADDEF_H
#define XGFXCERTEXSHADERLOADDEF_H

#include "xasset.h"

#include <QList>

class XGfxVertexShaderLoadDef : public XAsset
{
public:
    XGfxVertexShaderLoadDef();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    qint32 mCachedPartPtr;
    QVector<int> mCachedPart;
    qint32 mPhysicalPartPtr;
    QVector<int> mPhysicalPart;
    int mCachedPartSize;
    int mPhysicalPartSize;
};

#endif // XGFXCERTEXSHADERLOADDEF_H
